Create a user import
POST
/v1/user-importscurl -X POST 'https://api.embodiflow.io/v1/user-imports' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"rows": [
{
"mode": "invite",
"email": "string",
"role": "owner",
"displayName": "string",
"initialPassword": "string"
}
]
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
请求头参数
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
请求体
Content-Typeapplication/json
- rowsarray<UserImportRowBodyDto>必填
- modestring必填可选值invitecreate
- emailstring必填
- rolestring必填可选值owneradminresearcherbilling_adminviewer
- displayNamestring | null
- initialPasswordstring
响应
Success
- dataobject必填
- idstring必填
- rowsarray<UserImportRowResultDto>必填
- summaryobject必填
- metaobject必填
- requestIdstring必填
响应示例
{
"data": {
"id": "string",
"rows": [
{
"rowIndex": 0,
"email": "string",
"mode": "invite",
"status": "created",
"userId": "string",
"membershipId": "string",
"invitationId": "string",
"errorCode": "string",
"errorMessage": "string"
}
],
"summary": {
"total": 0,
"succeeded": 0,
"failed": 0
}
},
"meta": {
"requestId": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1